#!/bin/sh

name="sylpheed"
title="Sylpheed"
package="sylpheed"
version="0.9.3"
build="1"
noarch="n"
build_info=""

info="A GTK+ based user-friendly e-mail client."
desc="Sylpheed is a GTK+ based, lightweight, and fast e-mail client.
Almost all commands are accessible with the keyboard. It also has
many features such as multiple accounts, POP3/APOP support, thread
display, and multipart MIME."
category="net/client/email"
environment="x11/gtk"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="ABOUT-NLS,AUTHORS,ChangeLog,COPYING,INSTALL,BUGS,NEWS,PATCHES,README,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://sylpheed.good-day.net/sylpheed/$name-$version.tar.bz2

verbose "Do you want to enable GnuPG support?"
yes_or_no with_gpgme n

if [ "$with_gpgme" = "y" ]; then

    configure_option --enable-gpgme
    build_info "With GnuPG. "
    package_suffix gnupg

fi

configure_option --prefix=/usr
configure_option --enable-ssl
configure_option --enable-ipv6
configure_option --enable-ldap

make_option faqdir=/usr/doc/$name-$version/faq
make_option manualdir=/usr/doc/$name-$version/manual

install_option DESTDIR=$pkg_main
install_option faqdir=/usr/doc/$name-$version/faq
install_option manualdir=/usr/doc/$name-$version/manual

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

rm -f $pkg_main/usr/doc/sylpheed-$version/manual/ja/sylpheed.sgml

make_docs

make_package main

clean_up

# $Log: sylpheed.builder,v $
# Revision 1.28  2003/07/10 21:54:20  swiergot
# - Build 1.
#
# Revision 1.27  2003/07/10 21:43:00  swiergot
# - Version 0.9.3.
#
# Revision 1.26  2003/06/15 11:29:29  swiergot
# - Build 1.
#
# Revision 1.25  2003/06/15 11:24:42  swiergot
# - Version 0.9.2.
#
# Revision 1.24  2003/05/31 08:30:20  swiergot
# - Build 1.
#
# Revision 1.23  2003/05/31 08:20:42  swiergot
# - Version 0.9.1.
# - Removed build conditions for SSL, IPv6 and LDAP. Build this by default.
# - Removed subpackages definitions.
#
# Revision 1.22  2003/05/21 14:39:26  swiergot
# - Build 1.
#
# Revision 1.21  2003/05/21 14:27:11  swiergot
# - Version 0.9.0.
#
# Revision 1.20  2003/05/12 15:51:06  swiergot
# - Build 1.
#
# Revision 1.19  2003/05/12 14:03:53  swiergot
# - Version 0.9.0pre1.
#
# Revision 1.18  2003/03/07 14:24:37  swiergot
# - Build 1.
#
# Revision 1.17  2003/03/07 13:45:09  swiergot
# - Version 0.8.11.
#
# Revision 1.16  2003/02/07 18:54:45  swiergot
# - Build 1.
#
# Revision 1.15  2003/02/07 18:16:34  swiergot
# - Version 0.8.10.
# - Sylpheed doesn't support Aspell.
#
# Revision 1.14  2003/01/23 19:16:38  swiergot
# - Build 1.
#
# Revision 1.13  2003/01/23 18:07:16  swiergot
# - Switched to original Sylpheed.
# - Version 0.8.9.
#
# Revision 1.12  2002/12/26 21:02:28  swiergot
# - Build 2.
#
# Revision 1.11  2002/12/26 20:48:20  swiergot
# - Changed title to "Sylpheed Claws".
#
# Revision 1.10  2002/12/26 20:38:13  swiergot
# - Cleanups in builder.
#
# Revision 1.9  2002/12/26 20:17:51  swiergot
# - Build 1.
#
# Revision 1.8  2002/12/26 19:53:54  swiergot
# - Version 0.8.8claws.
#
# Revision 1.7  2002/12/26 19:38:00  swiergot
# - Build 2.
#
# Revision 1.6  2002/12/26 19:22:45  swiergot
# - Touched to force building.
#
# Revision 1.5  2002/12/26 19:14:51  swiergot
# - Cosmetics.
# - Build 1.
#
# Revision 1.4  2002/12/26 19:03:41  swiergot
# - Downgrade to 0.8.7claws.
#
# Revision 1.3  2002/12/26 18:40:49  swiergot
# - Version 0.8.8claws.
#
# Revision 1.2  2002/12/26 15:14:54  stoodi
# - Build 1.
#
# Revision 1.1  2002/12/26 14:49:15  stoodi
# - Initial release.
# - Version 0.8.7.
#
